Summary:	Xiph Streaming media server that supports multiple formats.
Name:		icecast
Version:	2.3.1
Release:	2
Group:		System Environment/Daemons
License:	GPL
URL:		http://www.icecast.org/
Source0:     	http://downloads.us.xiph.org/releases/icecast/%{name}-%{version}.tar.gz
Source1:	icecast.sh
Source2:	icecast.logrotate
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       libvorbis >= 1.0
BuildRequires:	libvorbis-devel >= 1.0
Requires:       libogg >= 1.0
BuildRequires:	libogg-devel >= 1.0
Requires:       curl >= 7.10.0
BuildRequires:	curl-devel >= 7.10.0
Requires:       libxml2
BuildRequires:	libxml2-devel
Requires:       libxslt
BuildRequires:	libxslt-devel
Requires:       libtheora
BuildRequires:	libtheora-devel
Requires:       speex
BuildRequires:	speex-devel

%description
Icecast is a streaming media server which currently supports Ogg Vorbis 
and MP3 audio streams. It can be used to create an Internet radio 
station or a privately running jukebox and many things in between. 
It is very versatile in that new formats can be added relatively 
easily and supports open standards for commuincation and interaction.


%prep
%setup -q


%build
%configure
%{__make}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_sysconfdir}/%{name}/
mkdir -p %{buildroot}%{_initrddir}/
mkdir -p %{buildroot}%{_sbindir}/
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}/

install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

make DESTDIR=$RPM_BUILD_ROOT install

# Fix install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/
mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.xml $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/.
mv $RPM_BUILD_ROOT%{_bindir}/icecast $RPM_BUILD_ROOT%{_sbindir}/icecast
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/*.xml.dist doc/.
rm -r $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/
#


%pre


%post
/sbin/chkconfig --add icecast


%preun
if [ $1 -eq 0 ]; then
        /sbin/service icecast stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del icecast
fi


%postun
/sbin/service icecast condrestart > /dev/null 2>&1 || :


%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%doc doc/*.html
%doc doc/*.jpg
%doc doc/*.css
%doc doc/*.dist
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.xml
%attr(0755,root,root) %{_sysconfdir}/logrotate.d/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(-,root,root) %{_datadir}/%{name}/
%attr(0755,nobody,nobody) %dir %{_localstatedir}/log/%{name}/


%changelog
* Thu Apr 20 2006 Petr Kritof <Petr|Kristof_CZ> 2.3.1-2
- Rebuild on FC-5

* Wed Dec 7 2005 Petr Kritof <Petr|Kristof_CZ> 2.3.1-1
- Update to 2.3.1

* Sat Sep 17 2005 Petr Kritof <Petr|Kristof_CZ> 2.3.0.rc3-1
- Version 2.3.0.rc3
- Rebuild on FC-4

* Sun Jan 11 2004 Petr Kritof <Petr|Kristof_CZ>
- Final 2.0.0

* Sun Nov 23 2003 Petr Kritof <Petr|Kristof_CZ>
- Beta version 2.0
- Rebuild on FC-1

* Sun Jul 20 2003 Petr Kritof <Petr|Kristof_CZ>
- Alpha version 2.0

* Mon Mar 24 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on RH-8.0

* Sun Nov 3 2002 Petr Kritof <Petr|Kristof_CZ>
- Used 1.901
- Build on RH-7.3

